routes/web.php
    /** ADD ALL LOCALIZED ROUTES INSIDE THIS GROUP **/
    Route::get('/', 'IndexPageController@index')->name('index');

    Route::prefix('/products')->group(function () {

        Route::get('/spring-burst', 'ProductController@spring_burst')->name('products.spring_burst');
        Route::get('/safari-style', 'ProductController@safari_style')->name('products.safari_style');

        Route::get('/download/{token}', 'ProductController@download')->name('products.download');
        Route::get('/portugal-morning', 'ProductController@pm')->name('products.pm');
        Route::get('/{pack}', 'ProductController@show')->name('products.show');
    });

    Route::get('/cart', 'CartController@show')->name('cart.show');
    Route::get('/cart/all', 'CartController@all')->name('cart.all');
    Route::post('/cart', 'CartController@create')->name('cart.create');
    Route::post('/cart/add', 'CartController@add')->name('cart.add');
    Route::patch('/cart', 'CartController@update')->name('cart.update');

    Route::get('/paypal/payment', 'PayPalController@payment')->name('paypal.payment');
    Route::post('/paypal/payment', 'PayPalController@beforePayment')->name('paypal.beforePayment');
    Route::get('/paypal/cancel', 'PayPalController@cancel')->name('paypal.payment.cancel');
    Route::get('/paypal/payment/success', 'PayPalController@success')->name('paypal.payment.success');
    Route::post('/paypal', 'PayPalController@store')->name('paypal.store');

    Route::get('/payment/paypal', 'PaymentController@paypal')->name('payment.paypal');
    Route::post('/payment/cp', 'PaymentController@cloudPaymentsCreate')->name('payment.cloudpayments.create');
    Route::patch('/payment/cp', 'PaymentController@cloudPaymentsUpdate')->name('payment.cloudpayments.update');

    Route::post('/profile', 'ProfileController@store')->name('profile.store');
    Route::get('/profile/create', 'ProfileController@create')->name('profile.create');

    Route::post('/orders', 'OrderController@store')->name('orders.store');
    Route::patch('/orders/{id}', 'OrderController@update')->name('orders.update');

    Route::post('/completed-orders', 'CompletedOrderController@store')->name('completed-orders.store');

    Route::resource('/shopping_cart_products', 'ShoppingCartProductController');
    Route::resource('/shopping_cart_product_list', 'ShoppingCartProductListController');

    // Route::resource('zip', 'ZipController', ['only' => ['show']]);
    Route::get('/zip/{token}/category/{category}', 'ZipController@show')->name('zip.show');
});


//Route::get('/products', 'ProductController@index')->name('products.index');

Route::post('/gifts', 'GiftController@store')->name('gifts.store');

Route::get('/magiclink/{token}', 'MagicLinkController@authenticateEmail')->name('magiclink.authenticate-email');
Route::get('/magiclink', 'MagicLinkController@index');
Route::post('/magiclink', 'MagicLinkController@login')->name('magiclink.login');

//Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/.well-known/apple-developer-merchantid-domain-association', 'AppleController@domain_association');

Route::get('/admin/login', 'AdminController@login')->name('admin.show');
Route::post('/admin/login', 'AdminController@postLogin')->name('admin.login');;
Route::get('/admin/token/{token}', 'AdminController@authenticate')->name('admin.token');
Route::get('/admin/dashboard', 'AdminController@dashboard')->middleware('auth')->name('admin.dashboard');
Route::get('/admin/dashboard/simple', 'AdminController@simple')->middleware('auth')->name('admin.dashboard.simple');
Route::get('/admin/dashboard/gifts', 'GiftController@show')->middleware('auth')->name('admin.dashboard.gifts.show');
Route::get('/admin/dashboard/gifts/full', 'GiftController@full')->middleware('auth')->name('admin.dashboard.gifts.full');
Route::get('/admin/dashboard/products/{id}', 'AdminController@product')->middleware('auth')->name('admin.dashboard.product');
Route::get('/admin/panel', 'AdminController@panel')->middleware('auth')->name('admin.panel');
Route::get('/admin/panel/simple', 'AdminController@panelSimple')->middleware('auth')->name('admin.panel.simple');
Route::get('/admin/panel/orders', 'AdminController@orders')->middleware('auth')->name('admin.panel.orders');
Route::get('/admin/logout', 'AdminController@logout')->name('admin.logout');

Route::prefix('admin/panel')->namespace('Admin\Panel')->name('admin.panel.')->middleware('auth')->group(function () {
    // Controllers Within The "App\Http\Controllers\Admin\Panel" Namespace
    Route::get('/profiles', 'ProfileController@show')->name('profiles.show');
    Route::get('/faq-items', 'FaqItemController@index')->name('faq-items.index');
    Route::get('/faq-items/create', 'FaqItemController@create')->name('faq-items.create');
    Route::post('/faq-items', 'FaqItemController@store')->name('faq-items.store');
    Route::get('/faq-items/{faqItem}/edit', 'FaqItemController@edit')->name('faq-items.edit');
    Route::put('/faq-items/{faqItem}', 'FaqItemController@update')->name('faq-items.update');

    Route::get('/email_campaigns', 'EmailCampaignController@index')->middleware('auth')->name('email_campaigns.index');
    // Route::get('/email_campaigns/{id}', 'EmailCampaignController@show')->middleware('auth')->name('email_campaigns.show');


    Route::post('/email_campaigns', 'EmailCampaignController@send')->middleware('auth')->name('email_campaigns.send');
    Route::post('/email_campaigns/before/{id}', 'EmailCampaignController@beforeSend')->middleware('auth')->name('email_campaigns.before');
    //    Route::post('/mail/updatePromotions', 'EmailCampaignController@updatePromotions')->middleware('auth')->name('mail.updatePromotions');
    Route::post('/promotions', 'CreatedMailingPromotionsController@store')->middleware('auth')->name('promotions.store');

    Route::post('/mail/rollback/{id}', 'EmailCampaignController@rollback')->middleware('auth')->name('mail.rollback');
    Route::get('/mail/send_instagram_email', 'EmailCampaignController@sendInstagramEmail')->middleware('auth')->name('mail.send_instagram_email');


    // Mail Views
    Route::get('/mail/viewmail', 'EmailCampaignController@viewmail')->middleware('auth')->name('mail.viewmail');
    Route::get('/mail/updated_presets_without_promotion', 'EmailCampaignController@viewUpdatedPresetsMailWithoutPromotion')->middleware('auth');
    Route::get('/mail/with_instagram', 'EmailCampaignController@viewMailWithInstagram')->middleware('auth')->name('mail.rollback');
    Route::get('/mail/purchase', 'EmailController@viewPurchase')->middleware('auth')->name('mail.purchase');
    Route::get('/mail/profile_created', 'EmailController@viewProfileCreated')->middleware('auth')->name('mail.profile_created');

    // Golden Caramel Promotion Email Campaign
    Route::get('/email_campaigns/golden_caramel_promotion', 'EmailCampaignController@goldenCaramelPromotionShow')->middleware('auth')->name('email_campaigns.golden_caramel_promotion.show');
    Route::post('/email_campaigns/golden_caramel_promotion', 'EmailCampaignController@goldenCaramelPromotionSubscribe')->middleware('auth')->name('email_campaigns.golden_caramel_promotion_subscribe');
    Route::delete('/email_campaigns/{emailCampaign}', 'EmailCampaignController@unsubscribe')->middleware('auth')->name('email_campaigns.unsubscribe');
    Route::post('/email_campaigns/golden_caramel_promotion/send', 'EmailCampaignController@goldenCaramelPromotionSend')->middleware('auth')->name('email_campaigns.golden_caramel_promotion_send');
    Route::get('/mail/golden_caramel_promotion', 'EmailCampaignController@viewMailGoldenCaramelPromotion')->middleware('auth')->name('mail.golden_caramel_promotion');

    // Free Preset Discount
    Route::get('/email_campaigns/add_discount_for_users_with_free_preset_promotion', 'EmailCampaignController@addDiscountForUsersWithFreePresetPromotionShow')->middleware('auth')->name('email_campaigns.add_discount_for_users_with_free_preset_promotion.show');
    Route::post('/email_campaigns/add_discount_for_users_with_free_preset_promotion', 'EmailCampaignController@addDiscountForUsersWithFreePresetPromotionSubscribe')->middleware('auth')->name('email_campaigns.add_discount_for_users_with_free_preset_promotion_subscribe');
    Route::post('/email_campaigns/add_discount_for_users_with_free_preset_promotion/send', 'EmailCampaignController@addDiscountForUsersWithFreePresetPromotionSend')->middleware('auth')->name('email_campaigns.add_discount_for_users_with_free_preset_promotion_send');
    Route::get('/mail/add_discount_for_users_with_free_preset_promotion', 'EmailCampaignController@viewAddDiscountForUsersWithFreePresetPromotion')->middleware('auth')->name('mail.add_discount_for_users_with_free_preset_promotion');


    Route::resource('/products', 'ProductController')->middleware('auth');
    Route::resource('/global_strings', 'GlobalStringController')->middleware('auth');
});

Route::prefix('/support/dashboard')->namespace('Support\Dashboard')->name('support.dashboard.')->middleware('auth')->group(function () {
    // Controllers Within The "App\Http\Controllers\Admin\Panel" Namespace
    Route::get('/', 'DashboardController@index')->name('index');
    Route::get('/gifts', 'DashboardController@gifts')->name('gifts');
    Route::post('/d', 'DashboardController@findUserDownloadLink')->name('d');
    Route::post('/mail', 'DashboardController@sendMail')->name('d.mail');

    Route::get('/discounts', 'DiscountController@index')->name('discounts.index');
    Route::get('/discounts/create', 'DiscountController@create')->name('discounts.create');
    Route::post('/discounts', 'DiscountController@store')->name('discounts.store');
    Route::delete('/discounts/{id}', 'DiscountController@destroy')->name('discounts.destroy');

    Route::get('/products/{id}', 'ProductController@show')->name('products.show');

    Route::resource('/orders', 'CompletedOrderController')->middleware('auth');

app/Http/Controllers/Admin/Panel/CreatedMailingPromotionsController.php
<?php


namespace App\Http\Controllers\Admin\Panel;


use App\Http\Controllers\Controller;
use App\EmailCampaign;
use App\Product;
use App\Promotion;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use Illuminate\Support\Facades\Log;

class CreatedMailingPromotionsController extends Controller
{

    public function store(Request $request)
    {
        if (Gate::allows('show-panel')) {
//            $createPromotionForUsersWithDuration->execute($getMailingUsersbyId->execute(), 2);

            $mailing = EmailCampaign::with(
                [
                    'users' => function($query) {
                        $query->whereHas('orders', function ($query) {
                            $query->rub();
                            $query->completed();

                            $query->whereHas('product', function ($query) {
                                $query->pack();
                            });
                        });
                    },
                    'users.orders',
                    'users.orders.product'
                ]
            )->findOrFail(request('id'));
            $users = $mailing->users->dd();

            foreach ($users as $user) {

                foreach ($user->orders as $order) {
                    $product = $order->product;
                    if ('pack' === $product->type) {
                        $user->promotions()->save(Promotion::create([
                            'user_id' => $user->id,
                            'product_id' => $product->related_promotions()->first()->id,
                        ]));
                    }
                }



//                foreach($user->orders as $order) {
//                    $product = Product::find($order->product_id);
//                    if ('pack' === $product->type) {
////                        $user->promotions()->save(Promotion::create([
////                            'user_id'      => $user->id,
////                            'product_id' => $product->first()->id,
////                        ]));
////                        $user->promotions()->latest()->first()->delete();
//                    }
//                }
            }

            return redirect()->back();
        }

        return abort(404);
    }
}

app/Http/Controllers/Admin/Panel/EmailController.php
<?php


namespace App\Http\Controllers\Admin\Panel;

use Exception;

use Illuminate\Support\Facades\App;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Gate;


class EmailController extends Controller
{
    public function viewPurchase()
    {
        if (Gate::denies('show-panel')) {
            return abort(403);
        }

        return view('mail.purchase');
    }

    public function viewProfileCreated()
    {
        if (Gate::denies('show-panel')) {
            return abort(403);
        }

        App::setLocale('ru');

        return view('mail.profile_was_created');
    }
}

app/Http/Controllers/Admin/Panel/FaqItemController.php
<?php


namespace App\Http\Controllers\Admin\Panel;


use App\Content;
use App\FaqItem;
use App\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Gate;
use Illuminate\Support\Facades\Log;
use App\Http\Controllers\Controller;

class FaqItemController extends Controller
{
    public function index()
    {
        if (Gate::allows('show-support')) {
            $items = FaqItem::orderBy('order')->get();
            return view('admin.panel.faq-items.index', [
                'items' =>$items
            ]);
        }
        return abort(404);
    }

    public function create()
    {
        if (Gate::allows('show-support')) {
            return view('admin.panel.faq-items.create');
        }
        return abort(404);
    }

    public function store(Request $request)
    {
        if (Gate::allows('show-support')) {
            $this->validate($request, [
                'question_ru' => 'required',
                'question_en' => 'required',
                'answer_ru'   => 'required',
                'answer_en'   => 'required',
                'order'       => 'required',
            ]);
            FaqItem::create($request->all());
            return redirect()->back()->with('success', 'Create Successfully');
        }
        return abort(404);
    }

    public function edit(FaqItem $faqItem)
    {
        if (Gate::allows('show-support')) {
            return view('admin.panel.faq-items.edit', [
                'item' =>$faqItem
            ]);
        }
        return abort(404);
    }

    public function update(Request $request, FaqItem $faqItem)
    {

        if (Gate::allows('show-support')) {
            $this->validate($request, [
                'question_ru' => 'required',
                'question_en' => 'required',
                'answer_ru'   => 'required',
                'answer_en'   => 'required',
                'order'       => 'required',
            ]);
            $faqItem->update($request->all());

            return redirect()->back()->with('success', 'Update Successfully');
        }
        return abort(404);
    }
}

app/Http/Controllers/Admin/Panel/ProductController.php
<?php


namespace App\Http\Controllers\Admin\Panel;

use App\Product;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Gate;

class ProductController extends Controller
{

    public function index()
    {
        if (Gate::denies('show-panel')) {
            return abort(403);
        }

        $products = Product::paginate();
        return view('admin.panel.product.index', compact('products'));
    }

    public function update(Request $request, Product $product)
    {
        if (Gate::denies('show-panel')) {
            return abort(403);
        }

        $data = $this->validate($request, [
            'title' => 'required|unique:products,title,' . $product->id,
            'price_discount' => 'required|integer|gt:0',
            'usd_price_discount' => 'required|integer|gt:0',
        ]);

        $product->fill($data);
        $product->save();

        return redirect()
            ->route('admin.panel.products.index');
    }

    public function edit(Product $product)
    {
        if (Gate::denies('show-panel')) {
            return abort(403);
        }

        // $article = Product::findOrFail($id);
        return view('admin.panel.product.edit', compact('product'));
    }
}

app/Http/Controllers/Admin/Panel/ProfileController.php
<?php


namespace App\Http\Controllers\Admin\Panel;


use App\Http\Controllers\Controller;
use App\Profile;
use Illuminate\Support\Facades\Gate;

class ProfileController extends Controller
{

    public function show()
    {
        if (Gate::allows('show-panel')) {
            $profiles = Profile::all();
            return view(
                'admin.panel.profiles.show', ['profiles' => $profiles]
            );
        }

        return abort(404);
    }
}

resources/views/admin/panel/faq-items/create.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta name="robots" content="noindex, nofollow" />
    <meta charset="utf-8">
    <meta content="width=device-width,initial-scale=1" name="viewport">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>Пресеты Жени Савиной</title>
    <meta content="Пресеты Жени Савиной" name="description">

    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;600;700;800;900&display=swap" rel="stylesheet">

    <link href="{{ mix('css/app.css')}}" rel="stylesheet">
</head>

<body>
<nav class="navbar navbar-dark sticky-top bg-dark flex-md-nowrap p-0">
    <a class="navbar-brand col-sm-3 col-md-2 mr-0" href="{{ url('/') }}">Пресеты Жени Савиной</a>
    <ul class="navbar-nav px-3">
        <li class="nav-item text-nowrap">
            <a class="nav-link" href="{{ route('admin.logout') }}">Выйти</a>
        </li>
    </ul>
</nav>



<div class="container-fluid">
    <div class="row">
        <a href="{{ route('admin.panel.faq-items.index') }}">Все FAQ's</a>
    </div>
    <div class="row">
        <main role="main" class="col-md-12 ml-sm-auto col-lg-12 px-4">
            <form method="POST" action="{{ route('admin.panel.faq-items.store') }}">
                @csrf
                <div class="form-group">
                    <label for="exampleFormControlTextarea1">ru</label>
                    <textarea name="question_ru" class="form-control" id="exampleFormControlTextarea1" rows="1"></textarea>
                </div>
                <div class="form-group">
                    <label for="exampleFormControlTextarea1">en</label>
                    <textarea name="question_en" class="form-control" id="exampleFormControlTextarea1" rows="1"></textarea>
                </div>
                <div class="form-group">
                    <label for="exampleFormControlTextarea1">ru</label>
                    <textarea name="answer_ru" class="form-control" id="exampleFormControlTextarea1" rows="5"></textarea>
                </div>
                <div class="form-group">
                    <label for="exampleFormControlTextarea1">en</label>
                    <textarea name="answer_en" class="form-control" id="exampleFormControlTextarea1" rows="5"></textarea>
                </div>
                <button type="submit" class="btn btn-primary">Добавить</button>
            </form>
        </main>
    </div>
</div>


<script src="{{ mix('js/app.js') }}"></script>
<script type="text/javascript" src="{{ asset('js/select2.js') }}"></script>
<script type="text/javascript" src="{{ asset('js/floatingFormLabels.min.js') }}"></script>
<script src="{{ asset('js/jquery.event.move.js') }}"></script>
<script src="{{ asset('js/jquery.twentytwenty.js') }}"></script>
<script src="{{ asset('js/libs/jquery.mousewheel.js') }}"></script>
<script src="{{ asset('js/libs/SmoothScroll.js') }}"></script>
<script type="text/javascript" src="{{ asset('js/app_custom.js') }}"></script>

<script>
    $(document).ready(function() {

        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
        });

        console.log('dashboard');
        $('.js-find-user-form').on('submit', function(e) {
            e.preventDefault();
            console.log($(this).attr('action'));
            const table = $('.table');
            table.find("tbody tr").remove();

            $.ajax({
                type: 'POST',
                url: $(this).attr('action'),
                data: $(this).serialize(),
                dataType: 'json',
                success: function (data) {
                    console.log(data);
                    data.downloadables.forEach(function (downloadable) {
                        table.append('<tr><td><button class="btn btn-danger btn-sm js-send-mail-btn" data-email="' + downloadable.user_email + '" data-url="' + downloadable.product_page_url + '" data-endpoint="' + data.url + '">Отправить</button></td><td><span class="js-user-email">' + downloadable.user_email + "</span></td><td>" + downloadable.product_title + "</td><td>" + downloadable.is_completed_order + "</td><td>" + '<span class="js-product-page-url">' + downloadable.product_page_url + "</span></td></tr>");
                    });
                },
            });
        });

        $(document).on('click', '.js-faq-item-update-btn', function(e) {
            e.preventDefault();
            const that = $(this);
            that.prop('disabled', true);
            $.ajax({
                type: 'PATCH',
                url: '/support/dashboard/mail',
                data: {
                    faqItemId : that.data('faqItemId'),
                    question_ru: that.data('question_ru'),
                    question_en: that.data('question_en'),
                    answer_ru: that.data('answer_ru'),
                    answer_en: that.data('answer_en'),
                },
                dataType: 'json',
                success: function (data) {
                    console.log(data);
                    that.removeClass('btn-danger');
                    that.addClass('btn-success');
                },
                error: function (data) {
                    that.addClass('btn-success');
                    $(this).prop('disabled', false);
                }
            });
        });

    });
</script>

</body>
</html>

resources/views/admin/panel/faq-items/edit.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta name="robots" content="noindex, nofollow" />
    <meta charset="utf-8">
    <meta content="width=device-width,initial-scale=1" name="viewport">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>Пресеты Жени Савиной</title>
    <meta content="Пресеты Жени Савиной" name="description">

    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;600;700;800;900&display=swap" rel="stylesheet">

    <link href="{{ mix('css/app.css')}}" rel="stylesheet">
</head>

<body>
<nav class="navbar navbar-dark sticky-top bg-dark flex-md-nowrap p-0">
    <a class="navbar-brand col-sm-3 col-md-2 mr-0" href="{{ url('/') }}">Пресеты Жени Савиной</a>
    <ul class="navbar-nav px-3">
        <li class="nav-item text-nowrap">
            <a class="nav-link" href="{{ route('admin.logout') }}">Выйти</a>
        </li>
    </ul>
</nav>



<div class="container-fluid">
    <div class="row">
        <a href="{{ route('admin.panel.faq-items.index') }}">Все FAQ's</a>
    </div>
    <div class="row">
        <main role="main" class="col-md-12 ml-sm-auto col-lg-12 px-4">
            <form method="POST" action="{{ route('admin.panel.faq-items.update', $item)}}">
                @csrf
                @method('PUT')
                <div class="form-group">
                    <label for="exampleFormControlInput1">Order</label>
                    <input name="order" type="text" class="form-control" id="exampleFormControlInput1" value="{{ $item->order }}">
                </div>
                <div class="form-group">
                    <label for="exampleFormControlTextarea1">ru</label>
                    <textarea name="question_ru" class="form-control" id="exampleFormControlTextarea1" rows="1">{{ $item->question_ru }}</textarea>
                </div>
                <div class="form-group">
                    <label for="exampleFormControlTextarea1">en</label>
                    <textarea name="question_en" class="form-control" id="exampleFormControlTextarea1" rows="1">{{ $item->question_en }}</textarea>
                </div>
                <div class="form-group">
                    <label for="exampleFormControlTextarea1">ru</label>
                    <textarea name="answer_ru" class="form-control" id="exampleFormControlTextarea1" rows="5">{{ $item->answer_ru }}</textarea>
                </div>
                <div class="form-group">
                    <label for="exampleFormControlTextarea1">en</label>
                    <textarea name="answer_en" class="form-control" id="exampleFormControlTextarea1" rows="5">{{ $item->answer_en }}</textarea>
                </div>
                <button type="submit" class="btn btn-primary">Save</button>
            </form>
        </main>
    </div>
</div>


<script src="{{ mix('js/app.js') }}"></script>
<script type="text/javascript" src="{{ asset('js/select2.js') }}"></script>
<script type="text/javascript" src="{{ asset('js/floatingFormLabels.min.js') }}"></script>
<script src="{{ asset('js/jquery.event.move.js') }}"></script>
<script src="{{ asset('js/jquery.twentytwenty.js') }}"></script>
<script src="{{ asset('js/libs/jquery.mousewheel.js') }}"></script>
<script src="{{ asset('js/libs/SmoothScroll.js') }}"></script>
<script type="text/javascript" src="{{ asset('js/app_custom.js') }}"></script>

<script>
    $(document).ready(function() {

        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
        });

        console.log('dashboard');
        $('.js-find-user-form').on('submit', function(e) {
            e.preventDefault();
            console.log($(this).attr('action'));
            const table = $('.table');
            table.find("tbody tr").remove();

            $.ajax({
                type: 'POST',
                url: $(this).attr('action'),
                data: $(this).serialize(),
                dataType: 'json',
                success: function (data) {
                    console.log(data);
                    data.downloadables.forEach(function (downloadable) {
                        table.append('<tr><td><button class="btn btn-danger btn-sm js-send-mail-btn" data-email="' + downloadable.user_email + '" data-url="' + downloadable.product_page_url + '" data-endpoint="' + data.url + '">Отправить</button></td><td><span class="js-user-email">' + downloadable.user_email + "</span></td><td>" + downloadable.product_title + "</td><td>" + downloadable.is_completed_order + "</td><td>" + '<span class="js-product-page-url">' + downloadable.product_page_url + "</span></td></tr>");
                    });
                },
            });
        });

        $(document).on('click', '.js-faq-item-update-btn', function(e) {
            e.preventDefault();
            const that = $(this);
            that.prop('disabled', true);
            $.ajax({
                type: 'PATCH',
                url: '/support/dashboard/mail',
                data: {
                    faqItemId : that.data('faqItemId'),
                    question_ru: that.data('question_ru'),
                    question_en: that.data('question_en'),
                    answer_ru: that.data('answer_ru'),
                    answer_en: that.data('answer_en'),
                },
                dataType: 'json',
                success: function (data) {
                    console.log(data);
                    that.removeClass('btn-danger');
                    that.addClass('btn-success');
                },
                error: function (data) {
                    that.addClass('btn-success');
                    $(this).prop('disabled', false);
                }
            });
        });

    });
</script>

</body>
</html>